<?
   // ------------------------------------
   // Includes
   // ------------------------------------

   require('svg.inc');

   // ------------------------------------
   // Defines
   // ------------------------------------

   define("X_STEP",              25);
   define("Y_STEP",              25);
   define("RADIUS",               4);
   define("WIDTH",              750);
   define("HEIGHT",             750);
   define("OUTPUT_FILE", "six.html");
   define("STD_COLOR",    SVG_BLACK);

   // ------------------------------------
   // Script Begins Here
   // ------------------------------------

   $svg = new SVG(WIDTH, HEIGHT);

   $svg->border(STD_COLOR);

   for($x = X_STEP; $x < WIDTH; $x += X_STEP)
   {
      for($y = Y_STEP; $y < HEIGHT; $y += Y_STEP)
      {
         if($x + Y_STEP < WIDTH && $y + Y_STEP < HEIGHT)
         {
            // ---------------------------------------------------------------
            // We either draw a line from the lower left to upper right or
            // from the upper left to the lower right
            // ---------------------------------------------------------------

            switch(rand(0, 1))
            {
               case 0: $svg->line($x, $y,          $x + X_STEP, $y + Y_STEP, STD_COLOR); break;
               case 1: $svg->line($x, $y + Y_STEP, $x + X_STEP, $y,          STD_COLOR); break;
            }
         }

         // ---------------------------------------------------------------
         // Draw a circle at ($x, $y) filled with a random pastel color
         // and outline it using STD_COLOR
         // ---------------------------------------------------------------

         $r = rand(170, 255);
         $g = rand(170, 255);
         $b = rand(170, 255);

         $theColor = sprintf("rgb(%d, %d, %d)", $r, $g, $b);

         $svg->circle($x, $y, RADIUS, SVG_NONE, $theColor);
         $svg->circle($x, $y, RADIUS, STD_COLOR, SVG_NONE);
      }
   }

   if(($handle = @fopen(OUTPUT_FILE, "w")) == false)
      die("Could not open output file: " . OUTPUT_FILE . "\n");

   fputs($handle, SVG::toHTML($svg, OUTPUT_FILE));

   fclose($handle);

   printf("Successfully wrote output file: " . OUTPUT_FILE . "\n");
?>
